=== debian/changelog ===
calamares (3.3.9-0ubuntu2) plucky; urgency=medium

  * Do not build with QtWebEngines on architectures that do not support it.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 29 Oct 2024 19:01:21 -0500

calamares (3.3.9-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 15 Oct 2024 20:44:54 -0500

calamares (3.3.8-0ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 06 Jul 2024 12:16:19 -0500
