=== debian/control ===
Source: calamares
Section: utils
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: cmake,
               cryptsetup <!nocheck>,
               debhelper-compat (= 13),
               gettext,
               libappstreamqt-dev,
               libatasmart-dev,
               libboost-python-dev,
               libicu-dev,
               extra-cmake-modules,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6dbusaddons-dev,
               libkf6i18n-dev,
               libkf6iconthemes-dev,
               libkf6kio-dev,
               libkf6package-dev,
               libkf6parts-dev,
               libkf6service-dev,
               libkf6solid-dev,
               libkpmcore-dev (>= 24.08),
               libparted-dev,
               libplasma-dev,
               libpolkit-qt6-1-dev,
               libpwquality-dev,
               libyaml-cpp-dev,
               os-prober,
               pkgconf,
               pkg-kde-tools,
               pkexec,
               python3-all-dev,
               python3-yaml,
               python3-jsonschema,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-location-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-webengine-dev <amd64 arm64 armhf>
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/calamares/calamares
Vcs-Browser: https://git.lubuntu.me/Lubuntu/calamares-packaging/
Vcs-Git: https://git.lubuntu.me/Lubuntu/calamares-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/calamares
XS-Debian-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/calamares.git

Package: calamares
Architecture: linux-any
Depends: os-prober, util-linux-extra, ${misc:Depends}, ${shlibs:Depends}
Recommends: btrfs-progs, squashfs-tools
Description: distribution-independent installer framework
 Calamares is a distribution-independent installer framework.
 .
 It provides a graphical installer that can be used with nearly
 any distribution. This package is suitable for live media on
 Debian-based systems, and won't be of any particular use on
 an already installed system.
 .
 You will likely want to provide your own config files to match
 your distribution, reading the Calamares documentation will guide
 you through that process.
