## calamares 3.3.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(CALAMARES_VERSION 3.3.9)
+set(CALAMARES_VERSION 3.3.12)
 set(CALAMARES_RELEASE_MODE ON) # Set to ON during a release
 
 if(CMAKE_SCRIPT_MODE_FILE)
