=== debian/changelog ===
calamares (3.3.12-1.1siduction1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuiild

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 21 Dec 2024 23:06:43 +0100

calamares (3.3.12-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Sat, 30 Nov 2024 18:38:44 +0200

calamares (3.3.11-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Thu, 07 Nov 2024 14:56:15 +0200

calamares (3.3.9-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Thu, 15 Aug 2024 17:26:32 +0200
