## calamares 3.3.12-3tux1+24.04

=== debian/changelog ===
calamares (1:3.3.12-3tux1+24.04-2) noble; urgency=medium

  * Rebuild against new Qt/Plasma

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 11 Nov 2025 11:26:03 +0100

calamares (1:3.3.12-3tux1+24.04-1) noble-updates; urgency=medium

  * fix typo in translation

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 07 Oct 2025 14:28:26 +0200

calamares (1:3.3.12-2tux1+24.04-1) noble; urgency=medium

  * fix typo in translation

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 22 Sep 2025 12:10:48 +0200

calamares (1:3.3.12-1tux1+24.04-1) noble; urgency=medium

  * New upstream version
    https://github.com/calamares/calamares/releases/tag/v3.3.12

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Mon, 09 Dec 2024 10:01:02 +0100

calamares (1:3.3.10-1tux1+24.04-2) noble; urgency=medium

  * Rebuild against our qt6-declarative
  * no changes

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Fri, 22 Nov 2024 14:53:54 +0100

calamares (1:3.3.10-1tux1+24.04-1) noble; urgency=medium

  * New upstream version.
    https://calamares.io/calamares-3.3.10-is-out/

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Wed, 23 Oct 2024 10:16:13 +0200

calamares (1:3.3.8-1tux1+24.04+nmu2) noble; urgency=medium

  * test

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Fri, 06 Sep 2024 14:26:53 +0200

calamares (1:3.3.8-1tux1+24.04+nmu1) noble; urgency=medium

  * rebuild against actual qt

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Tue, 03 Sep 2024 15:00:06 +0200

calamares (1:3.3.8-1tux1+24.04) noble; urgency=medium

  * New upstream version.

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Thu, 11 Jul 2024 16:50:47 +0200

calamares (3.3.8-0xneon+24.04+noble+release+build5) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 05 Jul 2024 04:13:12 +0000

calamares (3.3.8-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 05 Jul 2024 14:10:48 +1000

calamares (3.3.7-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 21 Jun 2024 17:04:54 +1000

calamares (3.3.5-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 04 Mar 2024 09:34:42 +1000

calamares (3.3.4-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 01 Mar 2024 10:58:03 +1000

calamares (3.3.3-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 24 Feb 2024 13:19:44 +1000

calamares (3.3.0-2neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 18 Dec 2023 14:01:04 +1000

calamares (3.2.62-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 28 Apr 2023 20:38:34 +1000

calamares (3.2.61-0neon) focal; urgency=medium

  * New release

 -- Harald Sitter <sitter@kde.org>  Tue, 07 Sep 2021 11:52:09 +0200
