## calamares 3.3.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(CALAMARES_VERSION 3.3.12)
+set(CALAMARES_VERSION 3.3.13)
 set(CALAMARES_RELEASE_MODE ON) # Set to ON during a release
 
 if(CMAKE_SCRIPT_MODE_FILE)
@@ -239,6 +239,9 @@
         "K_EXPORT_PLASMA_DATAENGINE_WITH_JSON"
         "K_EXPORT_PLASMA_RUNNER"
 )
+if(POLICY CMP0171)
+    cmake_policy(SET CMP0177 NEW)
+endif()
 
 # CMake Modules
 include(CMakePackageConfigHelpers)
@@ -287,5 +290,3 @@
         CLANG_WARNINGS
         -Weverything
         -Wno-c++98-compat
-        -Wno-c++98-compat-pedantic
-        -Wno-padded
