=== debian/changelog ===
calamares (3.3.13-0ubuntu5) plucky; urgency=medium

  * Add ${qml6:Depends} to ensure we don't miss any QML 6 depends.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 18 Feb 2025 00:03:24 -0600

calamares (3.3.13-0ubuntu4) plucky; urgency=medium

  * Fix some of the confusion around the weak password checkbox and its
    visibility.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 16 Feb 2025 17:50:18 -0600

calamares (3.3.13-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2025 14:13:36 +0100

calamares (3.3.13-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 14:44:18 +0100

calamares (3.3.13-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 01 Jan 2025 18:17:37 -0600

calamares (3.3.12-0ubuntu1) plucky; urgency=medium

  * New upstream release.
  * [dracut] Add an options setting for additional Dracut parameters.
  * [unmount] Properly close LUKS partitions after installation is complete.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Nov 2024 09:15:31 -0600

calamares (3.3.11-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 20 Nov 2024 20:34:29 -0600
